Subject: bug#5937: 23.1.95; why saving empty abbrev tables

From: Leo <[email-masked]>
Date: Mon, 28 Mar 2011 22:26:43 +0800

On 2011-03-28 21:58 +0800, Stefan Monnier wrote:
> write-abbrev-file may be called from a non-"edit-abbrevs" buffer
> (e.g. from save-some-buffer), so I think that calling
> edit-abbrevs-redefine from it is problematic.  Is there a particular
> reason why you put the call to edit-abbrevs-redefine in
> write-abbrev-file rather than in abbrev-save-buffer.

Good point. I missed it. I want C-x C-w to also redefine the abbrevs if
it is called in that editing buffer. Do you mind if I do something like
the following in write-abbrev-file:

 (and (derived-mode-p 'edit-abbrevs-mode)
      (edit-abbrevs-redefine))

Leo

-- 
Oracle is the new evil